| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# CS::TypeTraits::Implementation Namespace Reference

## Classes
struct | IsReferenceImpl
struct | IsSameImpl
struct | NoType
| Boolean false type. More...
struct | TraitAnd
struct | TraitAnd< true, true, true, true, true, true, true >
struct | Wrap
| Simple dummy-wrapper. More...
## Typedefs
typedef char | YesType
| Boolean true type.
## Variables
T &(*)(Wrap< T >) | IsReferenceHelper1 (Wrap< T >)

## Typedef Documentation

typedef char CS::TypeTraits::Implementation::YesType

Boolean true type.

Definition at line 36 of file typetraits.h.